package com.lightinit.hsdatashow.mapper;

import com.lightinit.hsdatashow.entity.WaterAllCounty;
import com.lightinit.hsdatashow.entity.WaterAllCountyExample;
import com.lightinit.hsdatashow.model.admin.WaterqualityNameAndValueModel;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface WaterAllCountyMapper {
    long countByExample(WaterAllCountyExample example);

    int deleteByExample(WaterAllCountyExample example);

    int deleteByPrimaryKey(Long id);

    int insert(WaterAllCounty record);

    int insertSelective(WaterAllCounty record);

    List<WaterAllCounty> selectByExample(WaterAllCountyExample example);

    WaterAllCounty selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") WaterAllCounty record, @Param("example") WaterAllCountyExample example);

    int updateByExample(@Param("record") WaterAllCounty record, @Param("example") WaterAllCountyExample example);

    int updateByPrimaryKeySelective(WaterAllCounty record);

    int updateByPrimaryKey(WaterAllCounty record);

    List<WaterqualityNameAndValueModel> getWaterAllCounty(@Param("year")int year);
}